## org.apache.lucene.analysis
Class CannedTokenStream

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.CannedTokenStream

All Implemented Interfaces:
  Closeable

    public final class CannedTokenStream

extends TokenStream

TokenStream from a canned list of Tokens.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Constructor Summary
`CannedTokenStream(Token... tokens)`

Method Summary
`boolean` `incrementToken()`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CannedTokenStream

    public CannedTokenStream(Token... tokens)

Method Detail

### incrementToken

    public boolean incrementToken()

  Specified by:
    `incrementToken` in class `TokenStream`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.